IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID('dbo.f_opcionesAtributoDependientes') AND type in (N'FN'))DROP FUNCTION [dbo].[f_opcionesAtributoDependientes]
go
	CREATE FUNCTION [dbo].[f_opcionesAtributoDependientes](
		@id_atributo int,
		@ids int,
		@id_opcionAtributoPadre int
	) RETURNS NVARCHAR(500)
	AS
	BEGIN
	--0 opcionAtributo
	--1 id
	--2 opcionAtributo_codigo
	DECLARE @Tecnicos NVARCHAR(700)
	SET @Tecnicos = ''
	SELECT   @Tecnicos = @Tecnicos + 
		case when @ids=1 then cast(id_opcionAtributoHijo as varchar(10)) else (case when @ids = 2 then equ_opcionAtributo_opcionAtributo_codigo_hijo else equ_opcionAtributo_opcionAtributo_hijo end) end 
		+ ','
	from view_equ_opcionAtributoDependiente OAD 
		inner join view_doc_subtipoDocumento_atributo ATR 
	on OAD.equ_opcionAtributo_id_atributo_hijo = ATR.id_atributo
	where 
		id_opcionAtributoPadre = @id_opcionAtributoPadre and 
		id_subtipoDocumento = 2 and
		OAD.equ_opcionAtributo_id_atributo_hijo = @id_atributo and
		OAD.equ_opcionAtributo_active_hijo = 1 and
		OAD.active = 1
	order by OAD.equ_opcionAtributo_orden_hijo

	SET @Tecnicos = SUBSTRING(@Tecnicos,0,LEN(@Tecnicos))
	if @Tecnicos = ''
	begin
		select @Tecnicos = [dbo].[f_opcionesAtributo] (@id_atributo, @ids)
	end
	RETURN @Tecnicos 
	END
